no puedo instalar ni actualizar Ayuda

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Vacindak
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Lun Abr 18, 2011 2:44 pm

no puedo instalar ni actualizar Ayuda

Mensaje por Vacindak »

hola, intento actualizar o instalar cualquier cosa y me salta a error, esto me sale en el comprobador de actualizaciones.

" No se ha podido inicializar la información de los paquetes

Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.

Por favor, informe de ésto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:

'E:Tipo 'multiverse' desconocido en la línea 60 de lista de fuentes /etc/apt/sources.list'

Este es el sources.list...

#deb cdrom:[Ubuntu 10.10 _Maverick Meerkat_ - Release i386 (20101007)]/ maverick main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://es.archive.ubuntu.com/ubuntu/ maverick main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ maverick main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ maverick-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ maverick-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ maverick universe
deb-src http://es.archive.ubuntu.com/ubuntu/ maverick universe
deb http://es.archive.ubuntu.com/ubuntu/ maverick-updates universe
deb-src http://es.archive.ubuntu.com/ubuntu/ maverick-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ maverick multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ maverick multiverse
deb http://es.archive.ubuntu.com/ubuntu/ maverick-updates multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ maverick-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://es.archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu maverick partner
# deb-src http://archive.canonical.com/ubuntu maverick partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu maverick main
deb-src http://extras.ubuntu.com/ubuntu maverick main

deb http://security.ubuntu.com/ubuntu maverick-security main restricted
deb-src http://security.ubuntu.com/ubuntu maverick-security main restricted
deb http://security.ubuntu.com/ubuntu maverick-security universe
deb-src http://security.ubuntu.com/ubuntu maverick-security universe
deb http://security.ubuntu.com/ubuntu maverick-security multiverse
deb-src http://security.ubuntu.com/ubuntu maverick-security multiverse
deb http://archive.ubuntu.com/ubuntu lucid-backports main universe
multiverse restricted
deb http://archive.ubuntu.com/ubuntu lucid-backports main universe
multiverse restricted
deb http://archive.ubuntu.com/ubuntu lucid-backports main universe
multiverse restricted
deb http://archive.ubuntu.com/ubuntu lucid-backports main universe
multiverse restricted

Avatar de Usuario
eldelantero
Forista Medio
Forista Medio
Mensajes: 308
Registrado: Dom Oct 10, 2010 6:15 am

Re: no puedo instalar ni actualizar Ayuda

Mensaje por eldelantero »

Yo tuve un problema parecido con Debian. lo que sucede es que debe estar el cdrom:[Ubuntu 10.10 _Maverick Meerkat_ - Release i386 (20101007)] puesto cuando realizas la actualización o instalación, y si no quieres que te pida el Cd cada vez que realizas Actualización o Instalación abre como root el sources.list, borra esas lineas:

#deb cdrom:[Ubuntu 10.10 _Maverick Meerkat_ - Release i386 (20101007)]/ maverick main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

graba y cierra.

Luego prueba, y avisas para ver si ya funcionó. Suerte

Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Re: no puedo instalar ni actualizar Ayuda

Mensaje por hmg79 »

Fíjate específicamente que te dice en la linea 60, del archivo en cuestión, esta mal definida

Vacindak
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Lun Abr 18, 2011 2:44 pm

Re: no puedo instalar ni actualizar Ayuda

Mensaje por Vacindak »

gracias por la ayuda, e echo lo que me dijistes y e borrado esas linias y e guardado los canbios, ahora al intentar actualizar me da este mensaje de error...

'E:Tipo 'multiverse' desconocido en la línea 56 de lista de fuentes /etc/apt/sources.list'

.... me cambia el numero de la linia en funcion de las linias que e borrado que eran esas tres mas la 4 que era un espacio que separaba los párrafos, no sera que tengo que borrar las linias repetidas que tengo al final que coinciden comenzando por la ahora 56 ??? y muchas gracias... esto me lleva un mal de cabeza

Editado -- Lun Abr 18, 2011 8:06 am --
hmg79 escribió:Fíjate específicamente que te dice en la linea 60, del archivo en cuestión, esta mal definida
esta varias veces repetida... la devo de eliminar ??... es que no se que hacer... soy muy novato en linux

Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Re: no puedo instalar ni actualizar Ayuda

Mensaje por hmg79 »

Claro porque borraste las lineas que te dijo eldelantero.-

Especificamente te indicaba la linea 60, no la que el te dijo, no se que decia la linea 60, pero ahora se cambio a la linea 56.-

Si tenes que ver que dice la linea 60 o 56, y comentarlo #, el comodin se usa para inhabilitar cosas, no es necesario borrar.-

Vacindak
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Lun Abr 18, 2011 2:44 pm

Re: no puedo instalar ni actualizar Ayuda

Mensaje por Vacindak »

GRACIAS POR LA AYUDA ¡¡... ya lo e resuelto e probado a borrar las lineas que se repetían comenzando des de la 60 y a funcionado, me va ya todo perfectamente

Editado -- Lun Abr 18, 2011 8:17 am --
hmg79 escribió:Claro porque borraste las lineas que te dijo eldelantero.-

Especificamente te indicaba la linea 60, no la que el te dijo, no se que decia la linea 60, pero ahora se cambio a la linea 56.-

Si tenes que ver que dice la linea 60 o 56, y comentarlo #, el comodin se usa para inhabilitar cosas, no es necesario borrar.-

yo e restaurado las primeras que borre, pero estas ultimas las e borrado completamente,,, seria mejor restaurarlas y deshabilitarlas como tu dices o no pasa nada ?

Avatar de Usuario
eldelantero
Forista Medio
Forista Medio
Mensajes: 308
Registrado: Dom Oct 10, 2010 6:15 am

Re: no puedo instalar ni actualizar Ayuda

Mensaje por eldelantero »

A mi me ayudaron mucho con este tema (revísalo):

http://www.espaciolinux.com/foros/siste ... 48170.html

Yo llegué a la conclusión que lo que me dijo Neurus es verdad... no se necesita tantos lugares de donde buscar (es que no me recuerdo el nombre creo que son repositorios) ::lol::

Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Re: no puedo instalar ni actualizar Ayuda

Mensaje por hmg79 »

Son distintos eldalantero, lo que vos le dijiste que desactive o borre son para usar un CDrom, y si bien el problema es el mismo, la solución va de la mano de ver la linea que te salta error.-
Generalmente puede ser que se repitan repositorios que es lo que les paso a ambos.-

Lo que dice neurus es palabra mayor, el tira la posta siempre, yo tengo activados 4respositorios, los de debian, merillab, security y uno que es para bajar el navegador de google, tener muchos repositorios no sirve de nada.-

Una cosa mas por ejemplo esto:

deb http://ftp.fr.debian.org/ testing main
deb http://ftp.fr.debian.org/ testing contrib
deb http://ftp.fr.debian.org/ testing non-free

Si bien a primera vista son iguales, son respositorios distintos, por lo tanto tener algo así no te va a general el error en cuestión, ahora si tenes algo así:
deb http://ftp.fr.debian.org/ testing main
deb http://ftp.fr.debian.org/ testing contrib
deb http://ftp.fr.debian.org/ testing non-free
deb http://ftp.fr.debian.org/ testing main
deb http://ftp.fr.debian.org/ testing contrib
deb http://ftp.fr.debian.org/ testing non-free

Si te va a generar el error en cuestión, ya que descarga 2veces el mismo paquete, y va a saltar la segunda ves que aparezca el error que esta mal formado el archivo.-

Obviamente lo anterior esta mal formado igual ya que lo ideal es tener algo así para que sea mas facil entender:
deb http://ftp.fr.debian.org/ testing main contrib non-free

O sea en una sola linea le indicas los 3respositorios.-

Avatar de Usuario
eldelantero
Forista Medio
Forista Medio
Mensajes: 308
Registrado: Dom Oct 10, 2010 6:15 am

Re: no puedo instalar ni actualizar Ayuda

Mensaje por eldelantero »

GRACIAS hmg79... siempre (con gente inteligente y poseedora de muuuuucha paciencia) se aprende algo nuevo!!

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje